MyAnimeList

List MyAnimeList anime pictures

List the pictures for a MyAnimeList anime.

GET/v1/myanimelist/anime/{id}/pictures
x-api-keystringheader

API key (`sfk_...`)

Parameters
1
idintegerrequiredpath

MyAnimeList numeric id.

≥ 1 · ≤ 100000000

Response fields
11

Endpoint-specific response payload.

datalookupStatus
string

`not_found` when the entity does not exist (a deleted title, an unknown id or user), not when a list is empty.

one of: found, not_found

datamediaKind
string

`anime` or `manga`.

one of: anime, manga

dataid
integer

Title id.

Pictures for the title (no paging).

datapictures[]url
string

Image URL.

datapictures[]alt
stringnullable

Image alt text.

Metadata describing the request and billing outcome.

metarequestId
string

Unique request identifier for tracing this API call.

min 1 chars

metacreditsCharged
integer

Credits charged for this request.

≥ 0

metaversion
string

Public API version that served the response.

one of: v1

Code example

curl "https://api.socialfetch.dev/v1/myanimelist/anime/1/pictures" \
  -H "x-api-key: YOUR_API_KEY"

Responses

MyAnimeList anime pictures.